Subject: bug#40688: 28.0.50; Advice And ByteCompile Behavior Change

From: Glenn Morris <[email-masked]>
Date: Mon, 04 May 2020 12:18:54 -0400

Stefan Monnier wrote:

> I was pointing out that Emacs's own use of `-j` to build the `lisp`
> subdir indicates that it's OK to have missing dependencies on the `.elc`
> files (and hence sometimes the .el file is loaded and sometimes the
> `.elc`, depending on the compilation order; or even the `.el` file is
> loaded while the corresponding `.elc` file is being generated).

Emacs's build sets load-prefer-newer (IMO this should be the default,
but I expect this to be futile).

(But I have no idea what issue is being described in this report.)